On Jul 14, 2010, at 5:40 PM, LAMBEAU Bernard wrote:

> I'm experimenting a small problem when trying to use HighLine with
> wrap_at/page_at options... The script below leads to a deadlock under =
MacOS
> with all ruby installations I have (rvm)
>=20
> <pre>
> require 'rubygems'
> require 'highline'
> h =3D HighLine.new
> h.wrap_at =3D 10
> h.say "a"*100
> </pre>
>=20
> Something I don't understand ??

Nope, it looks like you found a bug.  I believe I have it fixed on =
Github now:

  http://github.com/JEG2/highline

Can you confirm that code works for you?

Thanks.

James Edward Gray II=